Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.types
Class DNANucleotide

    java.lang.Object
      |
      +--uk.ac.man.bioinf.util.AbstractEnumeration
            |
            +--uk.ac.man.bioinf.sequence.types.AbstractElement
                  |
                  +--uk.ac.man.bioinf.sequence.types.DNANucleotide

All Implemented Interfaces:
  DNAResidue, Element, NucleotideResidue, Residue

public class DNANucleotide
extends AbstractElement
implements DNAResidue

DNANucleotide.java Created: Sun Sep 24 17:44:04 2000

Version:
  $Id: DNANucleotide.java,v 1.3 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Nested Class Summary

Nested classes inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`AbstractEnumeration.ElementIterator`

Field Summary
`static DNANucleotide` | `ADENOSINE`
`static DNANucleotide` | `CYTOSINE`
`static DNANucleotide` | `GUANINE`
`static DNANucleotide` | `THIAMINE`

Fields inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`ord`

Method Summary
`static DNANucleotide[]` | `getAll()`
`String` | `getFullName()`

Methods inherited from class uk.ac.man.bioinf.sequence.types.AbstractElement
`getAllSequenceElements, toChar`

Methods inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`getAllElements, getSize, iterator, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface uk.ac.man.bioinf.sequence.Element
`toChar`

Field Detail

### ADENOSINE

    public static final DNANucleotide ADENOSINE

### GUANINE

    public static final DNANucleotide GUANINE

### CYTOSINE

    public static final DNANucleotide CYTOSINE

### THIAMINE

    public static final DNANucleotide THIAMINE

Method Detail

### getFullName

    public String getFullName()

### getAll

    public static DNANucleotide[] getAll()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD